dating my vintage desk - Updating the pkgdb

The Digest:: SHA1 module is required by the Razor2 plugin.***************************************************************************NOTE: the optional Mail:: SPF module is not installed.

Used to check DNS Sender Policy Framework (SPF) records to fight email address forgery and make it easier to identify spams.***************************************************************************NOTE: the optional IP:: Country module is not installed.

This is required if the first nameserver listed in your IP configuration or /etc/file is available only via an IPv6 address.

Also used by a DCC plugin to access dccifd over network.***************************************************************************NOTE: the optional IO:: Socket:: SSL module is not installed.

/usr/local/bin/xml2-config checking whether libxml build works... yes checking for /usr/bin/ld option to reload object files...

/usr/bin/ld checking if the linker (/usr/bin/ld) is GNU ld... yes checking how to recognize dependent libraries...

strip checking if cc supports -fno-rtti -fno-exceptions... yes checking if libtool supports shared libraries... -I/usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom -DPHP_ATOM_INC -I/usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom/include -I/usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom/main -I/usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom -I/usr/local/include/php -I/usr/local/include/php/main -I/usr/local/include/php/TSRM -I/usr/local/include/php/Zend -I/usr/local/include/php/ext -I/usr/local/include/php/ext/date/lib -I/usr/local/include/libxml2 -I/usr/local/include -DHAVE_CONFIG_H -O2 -pipe -fno-strict-aliasing -c /usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom/php_dom.c -f PIC -DPIC -o .libs/php_dom.o /usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom/php_dom.c:306: error: expected ';', ',' or ')' before '*' token /usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom/php_dom.c:340: error: expected ';', ',' or ')' before '*' token /usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom/php_dom.c:386: error: expected ';', ',' or ')' before '*' token /usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom/php_dom.c:421: error: expected ';', ',' or ')' before '*' token /usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom/php_dom.c: In function 'zm_startup_dom': /usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom/php_dom.c:664: error: 'dom_read_property' undeclared (first use in this function) /usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom/php_dom.c:664: error: (Each undeclared identifier is reported only once /usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom/php_dom.c:664: error: for each function it appears in.) /usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom/php_dom.c:665: error: 'dom_write_property' undeclared (first use in this function) /usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom/php_dom.c:666: error: 'dom_get_property_ptr_ptr' undeclared (first use in this function) /usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom/php_dom.c:668: error: 'dom_property_exists' undeclared (first use in this function) *** Error code 1 1 error *** Error code 1 Stop in /usr/ports/textproc/php5-dom.

immediate checking whether stripping libraries is possible... no creating libtool appending configuration tag "CXX" to libtool checking whether the c linker (/usr/bin/ld) supports shared libraries... -I/usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom -DPHP_ATOM_INC -I/usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom/include -I/usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom/main -I/usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom -I/usr/local/include/php -I/usr/local/include/php/main -I/usr/local/include/php/TSRM -I/usr/local/include/php/Zend -I/usr/local/include/php/ext -I/usr/local/include/php/ext/date/lib -I/usr/local/include/libxml2 -I/usr/local/include -DHAVE_CONFIG_H -O2 -pipe -fno-strict-aliasing -c /usr/ports/textproc/php5-dom/work/php-5.4.7/ext/dom/php_dom.c -o php_mkdir cc -I.

amd64-portbld-freebsd8.0 checking host system type... amd64-portbld-freebsd8.0 checking target system type... amd64-portbld-freebsd8.0 checking for PHP prefix... /usr/local/lib/php/20090626 checking for PHP installed headers prefix...

-I/usr/local/include/php -I/usr/local/include/php/main -I/usr/local/include/php/TSRM -I/usr/local/include/php/Zend -I/usr/local/include/php/ext -I/usr/local/include/php/ext/date/lib checking for PHP extension directory...

You need to make sure the Net:: DNS version is sufficiently up-to-date: - version 0.34 or higher on Unix systems - version 0.46 or higher on Windows systems***************************************************************************ERROR: the required Net Addr:: IP module is not installed,minimum required version is 4.000.

Tags: , ,